# resolve_name

`asdf.util.``resolve_name`(name)

  Resolve a name like `module.object` to an object and return it.

  This ends up working like `from module import object` but is easier to deal with than the `__import__` builtin and supports digging into submodules.

  Parameters:

  name : `str`

  > A dotted path to a Python object–that is, the name of a function, class, or other object in a module with the full path to that module, including parent modules, separated by dots. Also known as the fully qualified name of the object.

  Raises:

  `ImportError`

  > If the module or named object is not found.

  Examples

      >>> resolve_name('asdf.util.resolve_name')
      <function resolve_name at 0x...>